jQuery(document).ready(function(){
	jQuery('#DistributorRegionId').change(function(){
		getDepots(jQuery(this));
	});
	
	jQuery('#region_all').click( function() {
		jQuery('#DistributorRegionId option').prop('selected', true);
		getDepots(jQuery('#DistributorRegionId'));
	});
	
	jQuery('#region_clear').click( function() {
		jQuery('#DistributorRegionId option').prop('selected', false);
		getDepots(jQuery('#DistributorRegionId'));
	});
	
	
	jQuery('#depot_all').click( function() {
		jQuery('#DistributorDepotId option').prop('selected', true);
		
	});
	
	jQuery('#depot_clear').click( function() {
		jQuery('#DistributorDepotId option').prop('selected', false);
	});
	
	$.fn.fillSelect = function(data) {
		$(this).children('option').remove();
		return this.each(function() {
			if (this.tagName == 'SELECT') {
				var dropdownList = this;
				if(data){
				$.each(data, function(index, optionData) {
				var option = new Option(optionData, index);
					/*if ($.browser.msie) {
						dropdownList.add(option);
					}
				   else {*/
						dropdownList.add(option, null);
				   //}
			   });
			}
		 }
		});
	}
});

function getDepots(elmObj){
	//alert('dfsf');
	var regionsIds = elmObj.val();
	//if (regionsIds){
		jQuery.ajax({
			type: 'POST',
			url: siteUrl+'distributors/getDepotOptions.json',
			data: {regionIds: regionsIds},
			dataType: 'json',
			beforeSend: function(){
				elmObj.after('<img src="'+siteUrl+'img/loading20.gif" class="loading"/>');
			},
			success: function(data){
				jQuery('.loading').remove();
				$('#DistributorDepotId').fillSelect(data.options);
				/*jQuery('#'+showId+'-reg').show();
				jQuery('#'+showId+'-ref').show();
				
				$('#'+showId+'-ref dd').html(data.label); 
				$('#'+showId+'-ref .wdsel').fillSelect(data.options);
				*/
			},
			statusCode: {
				404: function() {
					alert( message.noPage );
				}
			}
		});
	//}
}